package com.example.soulfood_assignment2;

import android.media.MediaPlayer;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.Arrays;

public class swtViewScreen extends AppCompatActivity {

    public ListView tagResults;
    public ArrayAdapter<String> adapter;
    TextView tagNameView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_swt_view_screen);
        String title = getIntent().getStringExtra("tag_name");
        tagNameView = findViewById(R.id.tagTextView);
        tagNameView.setText(title);

        tagResults = findViewById(R.id.tagListView);
        ArrayList<String> tagResultsArray = new ArrayList<>();

        if(tagNameView.getText().toString().equals("Songs with 'Happy' Tag")) {
            tagResultsArray.addAll(Arrays.asList(getResources().getStringArray(R.array.happySearchResultsArray)));
            adapter = new ArrayAdapter<String>(
                    swtViewScreen.this, android.R.layout.simple_list_item_1, tagResultsArray
            );
            tagResults.setAdapter(adapter);
            tagResults.setOnItemClickListener(new AdapterView.OnItemClickListener() {
                @Override
                public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                    switch (position) {
                        case 0:
                            MediaPlayer mp = MediaPlayer.create(swtViewScreen.this, R.raw.beepsoundeffect);
                            mp.start();
                            break;
                    }
                }
            });
        } else if (tagNameView.equals("Songs with 'Relaxed' Tag")) {
            tagResultsArray.addAll(Arrays.asList(getResources().getStringArray(R.array.relaxedSearchResultsArray)));
        }


    }
}